Bug 99414 - Allow i586 kernel builds
Allow i586 kernel builds
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-18 16:24 EDT by Steve Grubb
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 10:29:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2003-07-18 16:24:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The src.rpm for the 2.6test1 kernel does not allow targeting the 586
architecture. You either compile for 386 or 686.

Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test1.1.25

How reproducible:
Always

Steps to Reproduce:
rpmbuild -bb SPEC/kernel.spec --target i586
    

Actual Results:  error: Architecture is not included: i586

Expected Results:  compiled kernel optimized for the pentium

Additional info:

Please apply this patch to the psec file:

--- kernel-2.6.spec.orig        2003-07-18 16:05:11.000000000 -0400
+++ kernel-2.6.spec     2003-07-16 19:26:02.000000000 -0400
@@ -27,7 +27,7 @@
 %define KVERREL %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
                                                                                
 # groups of related archs
-%define all_x86 i386 i686 athlon
+%define all_x86 i386 i586 i686 athlon
                                                                                
 #
 # RPM magic
Comment 1 Alan Sanderson 2003-11-16 20:56:02 EST
kernel-2.6.0-0.test9.1.87.src.rpm is not able to build for i586, can
the Architecture please be included again.

[root@k6-2-500-rhl9 SPECS]# rpmbuild -bb --target i586 kernel-2.6.spec
Building target platforms: i586
Building for target i586
error: Architecture is not included: i586
Comment 2 Alan Sanderson 2003-11-19 20:17:45 EST
Same problem with kernel-2.6.0-0.test9.1.90

[root@k6-2-500-rhl9 SPECS]# rpmbuild -bb --target i586 kernel-2.6.spec
Building target platforms: i586
Building for target i586
error: Architecture is not included: i586
Comment 3 Dave Jones 2003-12-16 10:29:50 EST
The 2.6 kernel in FC2 devel now has this fixed.
Comment 4 Zenon Panoussis 2004-06-05 19:43:48 EDT
Apply the same to RHEL kernels please.
Comment 5 Dave Jones 2004-06-06 07:34:08 EDT
586 is not a supported platform for RHEL.

Note You need to log in before you can comment on or make changes to this bug.